const fs = require("fs");

// Dumb little node.js script written to quickly spit out shader entries for high quality levelshots.
// Point it at a directory filled with .bsp or .siege files (but not both or you'll get duplicates) to fill in map names.

const mappath = "E:\\Files\\Projects\\Coding\\TextAssets\\MBAssets3\\maps";
let maplist = fs.readdirSync(mappath, { withFileTypes: false });
maplist = maplist.map(map => {
  return map.toLowerCase().split(".")[0];
});

const newShaderArr = [];
maplist.forEach(map => {
  newShaderArr.push(`levelshots/${map}
{
    nopicmip
    nomipmaps
    notc
    {
        map levelshots/${map}
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
}

levelshots/${map}2
{
    nopicmip
    nomipmaps
    notc
    {
        map levelshots/${map}2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
}
`);
});

fs.writeFileSync(process.cwd() + "\\levelshots.shader", newShaderArr.join("\n"));
