@echo off
setlocal enabledelayedexpansion
set CWD=%cd%
set CYGWIN_DRIVE=%~d0
set CYGWIN_ROOT=%~dp0cygwin

for %%i in (adb.exe) do (
   set "ADB_PATH=%%~dp$PATH:i"
)

set PATH=%SystemRoot%\system32;%SystemRoot%;%CYGWIN_ROOT%\bin;%ADB_PATH%
set ALLUSERSPROFILE=%CYGWIN_ROOT%\.ProgramData
set ProgramData=%ALLUSERSPROFILE%
set CYGWIN=nodosfilewarning

set USERNAME=root
set HOME=/home/%USERNAME%
set SHELL=/bin/bash
set HOMEDRIVE=%CYGWIN_DRIVE%
set HOMEPATH=%CYGWIN_ROOT%\home\%USERNAME%
set GROUP=None
set GRP=

echo Replacing [/etc/fstab]...
(
    echo # /etc/fstab
    echo # IMPORTANT: this files is recreated on each start by cygwin-portable.cmd
    echo #
    echo #    This file is read once by the first process in a Cygwin process tree.
    echo #    To pick up changes, restart all Cygwin processes.  For a description
    echo #    see https://cygwin.com/cygwin-ug-net/using.html#mount-table
    echo.
    echo # noacl = disable Cygwin's - apparently broken - special ACL treatment which prevents apt-cyg and other programs from working
    echo none /cygdrive cygdrive binary,noacl,posix=0,user 0 0
) > "%CYGWIN_ROOT%\etc\fstab"

%CYGWIN_DRIVE%
chdir "%CYGWIN_ROOT%\bin"
bash "%CYGWIN_ROOT%\portable-init.sh"

if "%1" == "" (
  mintty --nopin --Title cygwin-portable   -o Columns=160   -o Rows=50   -o BellType=0   -o ClicksPlaceCursor=yes   -o CursorBlinks=yes   -o CursorColour=96,96,255   -o CursorType=Block   -o CopyOnSelect=yes   -o RightClickAction=Paste   -o Font="Courier New"   -o FontHeight=10   -o FontSmoothing=None   -o ScrollbackLines=10000   -o Transparency=off   -o Term=xterm-256color   -o Charset=UTF-8   -o Locale=C --icon D:\GAME DRIVE\Steam\SteamApps\common\Jedi Academy\DevSVN\Tools\MenuCordAdjuster\cygwin\Cygwin-Terminal.ico -
) else (
  if "%1" == "no-mintty" (
    bash --login -i
  ) else (
    bash --login -c %*
  )
)

cd "%CWD%"
